## ros-rolling-gazebo-ros-pkgs 3.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gazebo_ros_pkgs)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-rolling-gazebo-ros-pkgs (3.5.2-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.5.1-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Nov 2020 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.5.0-4focal) focal; urgency=high

  * Merge pull request #1129 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1129> from ros-simulation/e_to_f_june_2020
    Eloquent ➡️ Foxy
  * Dashing -> Eloquent
  * 3.3.5
  * Contributors: Jose Luis Rivero, Louise Poubel

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 19 Jun 2020 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.4-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.3-4focal) focal; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Feb 2020 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.2-4focal) focal; urgency=high

  * Merge branch 'ros2' into eloquent
  * Remove TODO in package.xml (#1010 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1010>)
    As I understand, listing execution dependencies is the correct way to form a metapackage.
    Signed-off-by: Jacob Perron <mailto:jacob@openrobotics.org>
  * Contributors: Jacob Perron, Louise Poubel

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Nov 2019 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.1-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Oct 2019 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.0-4focal) focal; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Oct 2019 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.5-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.4-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 Sep 2019 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.3-4focal) focal; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 23 Aug 2019 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.2-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 31 Jul 2019 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.1-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 30 May 2019 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.0-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 21 May 2019 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.1.0-4focal) focal; urgency=high

  * [ros2] Add gazebo_plugins to gazebo_ros_pkgs (#850 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/850>)
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Dec 2018 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.0.0-4focal) focal; urgency=high

  * [ros2] gazebo_ros_pkgs 'meta'package (#777 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/777>)
    [ros2] gazebo_ros_pkgs 'meta'package
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 07 Dec 2018 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.8.4-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 06 Jul 2018 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.8.3-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 04 Jun 2018 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.8.2-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 May 2018 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.8.1-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 05 May 2018 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.7.4-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.7.3-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Dec 2017 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.7.2-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 21 May 2017 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.7.1-4focal) focal; urgency=high

  * Add catkin package(s) to provide the default version of Gazebo (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 Apr 2017 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.12-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Apr 2017 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.11-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Apr 2017 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.10-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Mar 2017 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.9-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 20 Feb 2017 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.8-4focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Dec 2016 00:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.7-4focal) focal; urgency=high





=== debian/control ===
Source: ros-rolling-gazebo-ros-pkgs
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-rolling-gazebo-ros-pkgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-gazebo-dev, ros-rolling-gazebo-msgs, ros-rolling-gazebo-plugins, ros-rolling-gazebo-ros, ros-rolling-ros-workspace
Description: Interface for using ROS with the Gazebo simulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-gazebo-ros-pkgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-gazebo-ros-pkgs 3.7.0

=== debian/changelog ===
ros-rolling-gazebo-ros-pkgs (3.7.0-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 13 Jun 2022 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.6.0-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 May 2022 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.5.2-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.5.1-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Nov 2020 08:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.5.0-2jammy) jammy; urgency=high

  * Merge pull request #1129 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1129> from ros-simulation/e_to_f_june_2020
    Eloquent ➡️ Foxy
  * Dashing -> Eloquent
  * 3.3.5
  * Contributors: Jose Luis Rivero, Louise Poubel

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 19 Jun 2020 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.4-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.3-2jammy) jammy; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Feb 2020 08:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.2-2jammy) jammy; urgency=high

  * Merge branch 'ros2' into eloquent
  * Remove TODO in package.xml (#1010 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1010>)
    As I understand, listing execution dependencies is the correct way to form a metapackage.
    Signed-off-by: Jacob Perron <mailto:jacob@openrobotics.org>
  * Contributors: Jacob Perron, Louise Poubel

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Nov 2019 08:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.1-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Oct 2019 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.4.0-2jammy) jammy; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.5-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.4-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 Sep 2019 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.3-2jammy) jammy; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 23 Aug 2019 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.2-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.1-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.3.0-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 21 May 2019 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.1.0-2jammy) jammy; urgency=high

  * [ros2] Add gazebo_plugins to gazebo_ros_pkgs (#850 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/850>)
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-rolling-gazebo-ros-pkgs (3.0.0-2jammy) jammy; urgency=high

  * [ros2] gazebo_ros_pkgs 'meta'package (#777 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/777>)
    [ros2] gazebo_ros_pkgs 'meta'package
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.8.4-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 06 Jul 2018 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.8.3-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 04 Jun 2018 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.8.2-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 May 2018 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.8.1-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 05 May 2018 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.7.4-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 08:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.7.3-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Dec 2017 08:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.7.2-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 21 May 2017 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.7.1-2jammy) jammy; urgency=high

  * Add catkin package(s) to provide the default version of Gazebo (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 Apr 2017 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.12-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Apr 2017 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.11-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Apr 2017 07:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.10-2jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Mar 2017 08:00:00 -0000

ros-rolling-gazebo-ros-pkgs (2.5.9-2jammy) jammy; urgency=high





=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
